Bug Hunting Session
Bug 99574 - OpenGL: Dragging on the scrolling feels sluggish in Windows
Summary: OpenGL: Dragging on the scrolling feels sluggish in Windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-29 14:09 UTC by Tomaz Vajngerl
Modified: 2016-10-25 19:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2016-04-29 14:09:10 UTC
When dragging the scrollbar the thumb is not updated immediately on Windows, which makes scrolling feel more sluggish as it really is. The content updates quicker than the scrollbar thumb itself.

This happens with and without OpenGL but with OpenGL enabled it is much more notable.
Comment 1 Commit Notification 2016-04-29 14:15:25 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f0e3802e621fb02efde1778c151b93630cdd2fa

tdf#99574 fix sluggish scrollbar for an immediate paint

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Tomaz Vajngerl 2016-05-12 11:05:28 UTC
fix for 5-1 -> https://gerrit.libreoffice.org/#/c/24912/